Loading...
Searching...
No Matches
DebugTrace.h File Reference
`#include <RDGeneral/export.h>`
`#include <cstdio>`
`#include <cstring>`
`#include <cstddef>`
`#include <ctime>`
`#include <iostream>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/time.h>`
`#include <sys/resource.h>`

Go to the source code of this file.

## Classes

struct | RDKit::FMCS::ExecStatistics

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::FMCS

## Macros

#define | SEED_GROW_DEEP
#define | FAST_SUBSTRUCT_CACHE
#define | DUP_SUBSTRUCT_CACHE
#define | FAST_INCREMENTAL_MATCH
#define | VERBOSE_STATISTICS_ON

## Functions

static unsigned long long | nanoClock (void)

## Macro Definition Documentation

## DUP_SUBSTRUCT_CACHE

#define DUP_SUBSTRUCT_CACHE

Definition at line 47 of file DebugTrace.h.

## FAST_INCREMENTAL_MATCH

#define FAST_INCREMENTAL_MATCH

Definition at line 51 of file DebugTrace.h.

## FAST_SUBSTRUCT_CACHE

#define FAST_SUBSTRUCT_CACHE

Definition at line 46 of file DebugTrace.h.

## SEED_GROW_DEEP

#define SEED_GROW_DEEP

Definition at line 40 of file DebugTrace.h.

## VERBOSE_STATISTICS_ON

#define VERBOSE_STATISTICS_ON

Definition at line 56 of file DebugTrace.h.

## Function Documentation

## nanoClock()

static unsigned long long nanoClock | ( | void |  | ) |

inline static

Definition at line 97 of file DebugTrace.h.